%define realname   Devel-ebug

Name:		perl-%{realname}
Version:    0.45
Release:    %mkrel 1
License:	GPL or Artistic
Group:		Development/Perl
Summary:    A simple, extensible Perl debugger 
Source0:    http://search.cpan.org/CPAN/authors/id/L/LB/LBROCARD/%{realname}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{realname}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel perl-Proc-Background perl-String-Koremutake
BuildRequires:  perl-Test-Expect
BuildArch:      noarch

%description
A debugger is a computer program that is used to debug other programs. 
Devel::ebug is a simple, extensible Perl debugger with a clean API. Using 
this module, you may easily write a Perl debugger to debug your programs. 

Alternatively, it comes with an interactive debugger, ebug.
%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Build.PL INSTALLDIRS=vendor

%check
./Build test

%install
rm -rf $RPM_BUILD_ROOT
./Build install destdir=%buildroot installdirs=vendor

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README
%{perl_vendorlib}/*
%{_mandir}/man3/*
%_bindir/*
%{_mandir}/man1/*

%changelog
* Sun Sep 25 2005 Michael Scherer <misc@mandriva.org> 0.45-1mdk
- First mandriva package
